## connectagram 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

# Configure project
project(connectagram VERSION 1.3.1 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools Widgets)
if(UNIX AND NOT APPLE)
	include(GNUInstallDirs)
endif()

add_compile_definitions(
	QT_STRICT_ITERATORS
	QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
	QT_DISABLE_DEPRECATED_BEFORE=0x060000
)

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(connectagram
	src/board.cpp
	src/cell.cpp
	src/clock.cpp
	src/definitions.cpp
	src/letter.cpp
	src/locale_dialog.cpp
	src/main.cpp
	src/new_game_dialog.cpp
	src/pattern.cpp
	src/scores_dialog.cpp
	src/view.cpp
	src/window.cpp
	src/word.cpp
	src/wordlist.cpp
	icons/icons.qrc
	${translations_QM}
)

target_link_libraries(connectagram PRIVATE
	Qt6::Core
	Qt6::Gui
	Qt6::Widgets
)

target_compile_definitions(connectagram PRIVATE VERSIONSTR="${PROJECT_VERSION}")

# Create word lists
add_subdirectory(wordlists)

# Install
if(UNIX AND NOT APPLE)
	target_sources(connectagram PRIVATE icons/icon.qrc)

	install(TARGETS connectagram RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/connectagram/translations)
	install(FILES doc/connectagram.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(FILES icons/connectagram.xpm DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
	install(FILES icons/connectagram.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES icons/connectagram.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
elseif(WIN32)
	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(connectagram PROPERTIES
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Anagram game"
		QT_TARGET_COPYRIGHT "Copyright (C) 2021 Graeme Gott"
		QT_TARGET_PRODUCT_NAME "Connectagram"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/connectagram.ico
	)
	_qt_internal_generate_win32_rc_file(connectagram)
endif()

=== wordlists/CMakeLists.txt ===
# Program to generate wordlist
set(wordlist_SRCS ../tools/wordlist/main.cpp)
qt6_add_executable(wordlist ${wordlist_SRCS})
target_link_libraries(wordlist PRIVATE Qt6::Core)

# Create wordlists and dice
foreach(lang ca cs de el es en fr he hu id nl pl pt pt_BR ru)
	set(lang_file ${CMAKE_CURRENT_SOURCE_DIR}/${lang})
	set(lang_source ${CMAKE_SOURCE_DIR}/data/${lang})
	set(lang_dest ${CMAKE_INSTALL_DATADIR}/connectagram/data/${lang}/)

	# Create wordlist for ${lang}
	set(wordlist_file ${lang_source}/words)
	list(APPEND wordlist_files ${wordlist_file})
	add_custom_command(
		OUTPUT ${wordlist_file}
		COMMAND wordlist -l ${lang} -o "$<SHELL_PATH:${wordlist_file}>" "$<SHELL_PATH:${lang_file}>"
		DEPENDS ${lang_file} ${wordlist_SRCS}
		WORKING_DIRECTORY ${CMAKE_PREFIX_PATH}/bin # needed for Windows to find Qt
		VERBATIM
	)

	# Install data for ${lang}
	if(UNIX AND NOT APPLE)
		install(FILES ${wordlist_file} ${lang_source}/language.ini DESTINATION ${lang_dest})
		if(EXISTS ${lang_source}/README)
			install(FILES ${lang_source}/README DESTINATION ${lang_dest})
		endif()
	endif()
endforeach()

add_custom_target(data DEPENDS ${wordlist_files})
add_dependencies(connectagram data)

## connectagram 1.0.1

=== debian/changelog ===
connectagram (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #580752)  

 -- tang ke <tangk@lemote.com>  Fri, 07 May 2010 17:09:50 +0800

=== debian/control ===
Source: connectagram
Section: games
Priority: optional
Maintainer: tang ke <tangk@lemote.com>
Build-Depends: debhelper (>= 7), libqt4-dev (>= 4.4), quilt
Standards-Version: 3.8.4
Homepage: http://gottcode.org/connectagram/

Package: connectagram
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: word unscrambling game
 The board consists of several scrambled words that are joined together.
 You can choose the length of the words, the amount of words, and the
 pattern that the words are arranged in. The game provides a hint option
 for times when you are stuck.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#include /usr/share/quilt/quilt.make
#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/autotools.mk

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp   
	dh_testdir

	# Add here commands to compile the package.
	test -f $(CURDIR)/Makefile || qmake-qt4
	$(MAKE)
	rm $(CURDIR)/Makefile -rf

	touch $@

clean: clean-stamp 
clean-stamp:	
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	test -f $(CURDIR)/Makefile || qmake-qt4
	$(MAKE) clean
	rm $(CURDIR)/Makefile -rf
	rm $(CURDIR)/bin/connectagram -rf
	rm $(CURDIR)/build -rf

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	# Add here commands to install the package into debian/connectagram.
	test -f $(CURDIR)/Makefile || qmake-qt4
	$(MAKE) DESTDIR=$(CURDIR)/debian/connectagram install
	rm $(CURDIR)/Makefile -rf
	install -s $(CURDIR)/bin/connectagram $(CURDIR)/debian/connectagram/usr/games/
	cp $(CURDIR)/icons/connectagram.png $(CURDIR)/debian/connectagram/usr/share/icons/hicolor/48x48/
	cp $(CURDIR)/icons/connectagram.desktop $(CURDIR)/debian/connectagram/usr/share/applications/
	cp $(CURDIR)/share $(CURDIR)/debian/connectagram/usr/ -a

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://gottcode.org/connectagram/connectagram-(.*)-src\.tar\.bz2

## connectagram 1.1.2

=== debian/changelog ===
connectagram (1.1.2-2) unstable; urgency=medium

  * GPL-3+ in copyright (Closes: #747865)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 13 May 2014 10:01:50 +0200

connectagram (1.1.2-1) unstable; urgency=medium

  * Imported Upstream version 1.1.2 (Closes: #726101)
  * Bump standards to 3.9.5 and compat to 9
  * New maintainer (Closes: #746459)
  * Split packages to connectagram and connectagram-data, containing word list
    files
  * Removed unneeded patch (Closes: #643082)
  * Migrated to dh
  * debian/copyright formatted according to DEP-5
  * Fixed watch file
  * Added menu file and keyword to desktop file (Closes: #737849)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 02 May 2014 20:02:56 +0200

=== debian/control ===
Source: connectagram
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.4)
Standards-Version: 3.9.5
Homepage: http://gottcode.org/connectagram/
Vcs-Git: git://anonscm.debian.org/pkg-games/connectagram.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/connectagram.git

Package: connectagram
Architecture: any
Depends:
 connectagram-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: word unscrambling game
 The board consists of several scrambled words that are joined together.
 You can choose the length of the words, the amount of words, and the
 pattern that the words are arranged in. The game provides a hint option
 for times when you are stuck.

Package: connectagram-data
Architecture: all
Replaces: connectagram (<< 1.1.2-1)
Breaks: connectagram (<< 1.1.2-1)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: word unscrambling game - data files
 The board consists of several scrambled words that are joined together.
 You can choose the length of the words, the amount of words, and the
 pattern that the words are arranged in. The game provides a hint option
 for times when you are stuck.
 .
 This package provides data files required by connectagram.
 They include word lists and translations.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- PREFIX=/usr BINDIR=games

## connectagram 1.2.1

=== debian/changelog ===
connectagram (1.2.1-2) unstable; urgency=medium

  * export QT_SELECT=5 in d/rules added (Closes: #777610)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 13 Feb 2015 18:26:33 +0100

connectagram (1.2.1-1) unstable; urgency=medium

  * Imported Upstream version 1.2.1
  * add-desktop.keyword.patch refreshed
  * d/gdb.conf added
  * d/control
    - Bump standards to 3.9.6, no changes needed
    - removed libqt4-dev from Build-Deps
    - added qtbase5-dev to Build-Deps

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 10 Feb 2015 12:34:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
-Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.4)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), qtbase5-dev
+Standards-Version: 3.9.6
 Homepage: http://gottcode.org/connectagram/
 Vcs-Git: git://anonscm.debian.org/pkg-games/connectagram.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/connectagram.git

## connectagram 1.2.4

=== debian/changelog ===
connectagram (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * Updated dates in copyright
  * Added qttools5-dev-tools to Build-Deps

 -- Dariusz Dwornikowski <darek@debian.org>  Sat, 21 Jan 2017 13:56:57 +0100

connectagram (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3
  * Changed the maintainer email address to d.o 
  * Updated dates in d/copyright
  * Refreshed the desktop file patch
  * Bump standards to 3.9.8
    - dropped debian menu system file
  * Updated VCS fields with https
  * Added hardening +all
  * Added the upstream changelog

 -- Dariusz Dwornikowski <darek@debian.org>  Tue, 11 Oct 2016 10:24:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
-Build-Depends: debhelper (>= 9), qtbase5-dev
-Standards-Version: 3.9.6
+Uploaders: Dariusz Dwornikowski <darek@debian.org>
+Build-Depends: 
+  debhelper (>= 9), 
+  qttools5-dev-tools, 
+  qtbase5-dev
+Standards-Version: 3.9.8
 Homepage: http://gottcode.org/connectagram/
-Vcs-Git: git://anonscm.debian.org/pkg-games/connectagram.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/connectagram.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/connectagram.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/connectagram.git
 
 Package: connectagram
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- PREFIX=/usr BINDIR=games

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## connectagram 1.2.6

=== debian/changelog ===
connectagram (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6 (Closes: #896443).
  * Updated dates and write secure URI in debian/copyright file.
  * Bumped to debhelper and compat level 11.
  * Bumped to Standards-Version 4.1.4.
  * Migrated to the salsa repository.
  * Install upstream manpage (removed Debian manpage).
  * Removed unnecessary dh argument --parallel on d/rules.
  * Added hardening flags on debian/rules.
  * Drop deprecated debian/menu file.
  * Added Multi-Arch field on debian/control.
  * Added debian/upstream/metadata file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 21 Apr 2018 17:13:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Dariusz Dwornikowski <darek@debian.org>
-Build-Depends: 
-  debhelper (>= 9), 
-  qttools5-dev-tools, 
+Uploaders: Innocent De Marchi <tangram.peces@gmail.com>
+Build-Depends:
+  debhelper (>= 11),
+  qttools5-dev-tools,
   qtbase5-dev
-Standards-Version: 3.9.8
-Homepage: http://gottcode.org/connectagram/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/connectagram.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/connectagram.git
+Standards-Version: 4.1.4
+Homepage: https://gottcode.org/connectagram/
+Vcs-Git: https://salsa.debian.org/games-team/connectagram.git
+Vcs-Browser: https://salsa.debian.org/games-team/connectagram
 
 Package: connectagram
 Architecture: any
@@ -26,6 +26,7 @@
 
 Package: connectagram-data
 Architecture: all
+Multi-Arch: foreign
 Replaces: connectagram (<< 1.1.2-1)
 Breaks: connectagram (<< 1.1.2-1)
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
CPPFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   ?= $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS  ?= $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
CFLAGS += -Wall -g

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- PREFIX=/usr BINDIR=games \
	CPPFLAGS="$(CPPFLAGS)" \
	CFLAGS="$(CFLAGS)" \
	LDFLAGS="$(LDFLAGS)"

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## connectagram 1.2.7

=== debian/changelog ===
connectagram (1.2.7-1) unstable; urgency=medium

  * New upstream version.
  * Removed add-desktop-keyword.patch (has been added by the
    author in the sources).
  * Added icon field to .desktop file (with a patch).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 10 Jun 2018 17:10:12 +0100

## connectagram 1.2.8

=== debian/changelog ===
connectagram (1.2.8-1) unstable; urgency=medium

  * New upstream version.
  * Removed add-icon-to-desktop.patch (has been added by the
    author in the sources).
  * Updated years on d/copyright (add fix typo error on e-mail).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 23 Jun 2018 11:09:24 +0100

## connectagram 1.2.9

=== debian/changelog ===
connectagram (1.2.9-5) unstable; urgency=medium

  * Fix copyright file problem

 -- Jonathan Carter <jcc@debian.org>  Thu, 04 Apr 2019 14:37:05 +0200

connectagram (1.2.9-4) unstable; urgency=medium

  * Fix debian games team e-mail address
  * Update debian/copyright

 -- Jonathan Carter <jcc@debian.org>  Sun, 24 Mar 2019 09:03:35 +0000

connectagram (1.2.9-2) unstable; urgency=medium

  * Add self to maintainers and update maintainer fields (Closes: #922910)
  * Upgrade to debian-compat (= 12)
  * Update standards version to 4.3.0

 -- Jonathan Carter <jcc@debian.org>  Fri, 22 Feb 2019 13:51:48 +0000

connectagram (1.2.9-1) unstable; urgency=medium

  * New upstream version.
  * Bumped to Standards-Version 4.1.5
    (no changes required).
  * Removed override_dh_installchangelogs from d/rules
    (the author has added a changelog file to the sources).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Tue, 24 Jul 2018 10:50:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: connectagram
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Innocent De Marchi <tangram.peces@gmail.com>
+Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net> 
+Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
-  debhelper (>= 11),
+  debhelper-compat (= 12),
   qttools5-dev-tools,
   qtbase5-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://gottcode.org/connectagram/
 Vcs-Git: https://salsa.debian.org/games-team/connectagram.git
 Vcs-Browser: https://salsa.debian.org/games-team/connectagram

## connectagram 1.2.10

=== debian/changelog ===
connectagram (1.2.10-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:49 +0100

connectagram (1.2.10-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Sat, 10 Aug 2019 18:33:38 +0200

connectagram (1.2.9-6) unstable; urgency=medium

  * Upgrade to standards version 4.4.0
  * Fix syntax in debian/copyright
  * Initial source-only upload

 -- Jonathan Carter <jcc@debian.org>  Tue, 09 Jul 2019 09:19:41 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
   debhelper-compat (= 12),
   qttools5-dev-tools,
   qtbase5-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://gottcode.org/connectagram/
 Vcs-Git: https://salsa.debian.org/games-team/connectagram.git
 Vcs-Browser: https://salsa.debian.org/games-team/connectagram

## connectagram 1.2.11

=== debian/changelog ===
connectagram (1.2.11-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the Debian-provided man page, as upstream already ships one.
  * Copy the upstream man page using connectagram.install rather than
    connectagram.manpages, as it is already installed in the proper location.
  * Drop the dirs file, as the upstream build system already creates all the
    needed directories.

  [ Jonathan Carter ]
  * Update standards version to 4.6.0
  * Remove unknown upstream metadata fields
  * Remove no longer needed as-needed linker flag

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Sep 2021 09:54:44 +0200

connectagram (1.2.11-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Jonathan Carter ]
  * New upstream release
  * Update standards version to 4.5.0
  * Upgrade debhelper-compat to 13
  * Declare Rules-Requires-Root: no

 -- Debian Janitor <janitor@jelmer.uk>  Sun, 12 Apr 2020 15:12:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: connectagram
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net> 
+Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
-  debhelper-compat (= 12),
+  debhelper-compat (= 13),
   qttools5-dev-tools,
   qtbase5-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://gottcode.org/connectagram/
 Vcs-Git: https://salsa.debian.org/games-team/connectagram.git
 Vcs-Browser: https://salsa.debian.org/games-team/connectagram

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
CPPFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   ?= $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall -g

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- PREFIX=/usr BINDIR=games \
	CPPFLAGS="$(CPPFLAGS)" \
	CFLAGS="$(CFLAGS)" \
	LDFLAGS="$(LDFLAGS)"

=== debian/watch ===
version=4
https://github.com/gottcode/connectagram/releases .*/archive/v(\d[\d\.]+)\.tar\.gz

## connectagram 1.3.1

=== debian/changelog ===
connectagram (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * Update watch file
  * New build dependencies:
    - qt6-tools-dev
    - qt6-l10n-tools
    - qt6-tools-dev-tools
    - mesa-common-dev
    - libgl1-mesa-dev
    - libglu1-mesa-dev
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Thu, 13 Jan 2022 12:09:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,16 @@
 Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
-  debhelper-compat (= 13),
-  qttools5-dev-tools,
-  qtbase5-dev
+  cmake,
+  qt6-tools-dev,
+  qt6-l10n-tools,
+  qt6-tools-dev-tools,
+  qt6-base-dev-tools,
+  libqt6widgets6,
+  libqt6gui6,
+  libqt6core6,
+  mesa-common-dev,
+  debhelper-compat (= 13)
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/connectagram/

=== debian/watch ===
version=4
https://github.com/gottcode/connectagram/tags .*/archive/refs/tags/v(\d[\d\.]+)\.tar\.gz

## connectagram 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # Configure project
-project(connectagram VERSION 1.3.1 LANGUAGES CXX)
+project(connectagram VERSION 1.3.2 LANGUAGES CXX)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -14,11 +14,13 @@
 	include(GNUInstallDirs)
 endif()
 
-add_compile_definitions(
-	QT_STRICT_ITERATORS
-	QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
-	QT_DISABLE_DEPRECATED_BEFORE=0x060000
-)
+if(CMAKE_BUILD_TYPE STREQUAL "Debug")
+	add_compile_definitions(
+		QT_STRICT_ITERATORS
+		QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
+		QT_DISABLE_DEPRECATED_BEFORE=0x060300
+	)
+endif()
 
 # Create translations
 file(GLOB translations_SRCS translations/*.ts)
@@ -69,7 +71,6 @@
 	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/connectagram/translations)
 	install(FILES doc/connectagram.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
 	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-	install(FILES icons/connectagram.xpm DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
 	install(FILES icons/connectagram.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 	install(FILES icons/connectagram.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 elseif(WIN32)
@@ -80,7 +81,7 @@
 		QT_TARGET_VERSION "${PROJECT_VERSION}"
 		QT_TARGET_COMPANY_NAME "Graeme Gott"
 		QT_TARGET_DESCRIPTION "Anagram game"
-		QT_TARGET_COPYRIGHT "Copyright (C) 2021 Graeme Gott"
+		QT_TARGET_COPYRIGHT "Copyright (C) 2022 Graeme Gott"
 		QT_TARGET_PRODUCT_NAME "Connectagram"
 		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/connectagram.ico
 	)

=== debian/changelog ===
connectagram (1.3.2-1) unstable; urgency=medium

  * New upstream release
  * Remove usr/share/pixmaps from debian/install (no longer used)

 -- Jonathan Carter <jcc@debian.org>  Wed, 11 May 2022 10:48:51 +0200

## connectagram 1.3.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

# Configure project
project(connectagram VERSION 1.3.3 LANGUAGES CXX)

set(project_copyright "2009-2023 Graeme Gott")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools Widgets)
include(GNUInstallDirs)

add_compile_definitions(
	QT_NO_KEYWORDS
	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060400>
)

# Version number
include(cmake/AddVersionCompileDefinition.cmake)
add_version_compile_definition(src/main.cpp VERSIONSTR)

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(connectagram
	src/board.cpp
	src/cell.cpp
	src/clock.cpp
	src/definitions.cpp
	src/letter.cpp
	src/locale_dialog.cpp
	src/main.cpp
	src/new_game_dialog.cpp
	src/pattern.cpp
	src/scores_dialog.cpp
	src/view.cpp
	src/window.cpp
	src/word.cpp
	src/wordlist.cpp
	icons/icons.qrc
	${translations_QM}
)

target_link_libraries(connectagram PRIVATE
	Qt6::Core
	Qt6::Gui
	Qt6::Widgets
)

# Create word lists
add_subdirectory(tools)

file(GLOB languages wordlists/*)
foreach(lang_file ${languages})
	get_filename_component(lang ${lang_file} NAME)
	set(lang_source ${CMAKE_SOURCE_DIR}/gamedata/${lang})

	# Create wordlist for ${lang}
	set(wordlist_file ${lang_source}/words)
	add_custom_command(
		OUTPUT ${wordlist_file}
		COMMAND "$<SHELL_PATH:$<TARGET_FILE:wordlist>>" -l ${lang} -o "$<SHELL_PATH:${wordlist_file}>" "$<SHELL_PATH:${lang_file}>"
		DEPENDS ${lang_file} ${CMAKE_SOURCE_DIR}/tools/wordlist.cpp
		WORKING_DIRECTORY ${CMAKE_PREFIX_PATH}/bin # needed for Windows to find Qt
		VERBATIM
	)

	# Add ${lang} as dependency of target
	set(data_files ${wordlist_file} ${lang_source}/language.ini)
	if(EXISTS ${lang_source}/README)
		list(APPEND data_files ${lang_source}/README)
	endif()
	target_sources(connectagram PRIVATE ${data_files})

	# Install data for ${lang}
	if(APPLE)
		set_source_files_properties(
			${data_files}
			PROPERTIES
			MACOSX_PACKAGE_LOCATION Resources/gamedata/${lang}
		)
	elseif(NOT WIN32)
		install(FILES ${data_files} DESTINATION ${CMAKE_INSTALL_DATADIR}/connectagram/gamedata/${lang})
	endif()
endforeach()

# Optimize build
option(ENABLE_LINK_TIME_OPTIMIZATION "Enable link time optimization" OFF)
if(ENABLE_LINK_TIME_OPTIMIZATION)
	include(CheckIPOSupported)
	check_ipo_supported(RESULT result)
	if(result)
		set_target_properties(connectagram PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE)
	endif()
endif()

option(ENABLE_STRIP "Enable automatic stripping of builds" OFF)
if(ENABLE_STRIP)
	add_custom_command(TARGET connectagram
		POST_BUILD
		COMMAND ${CMAKE_STRIP} $<TARGET_FILE:connectagram>
	)
endif()

# Install
if(APPLE)
	set(datadir "../Resources")

	set_target_properties(connectagram PROPERTIES
		OUTPUT_NAME Connectagram
		MACOSX_BUNDLE TRUE
		MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/mac/Info.plist.in
	)

	include(cmake/BundleResources.cmake)
	bundle_data(connectagram ${CMAKE_SOURCE_DIR}/icons/connectagram.icns Resources)
	bundle_translations(connectagram "${translations_QM}")
elseif(WIN32)
	set(datadir ".")

	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(connectagram PROPERTIES
		OUTPUT_NAME Connectagram
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Anagram game"
		QT_TARGET_COPYRIGHT "\\xA9 ${project_copyright}"
		QT_TARGET_PRODUCT_NAME "Connectagram"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/connectagram.ico
	)
	_qt_internal_generate_win32_rc_file(connectagram)
else()
	file(RELATIVE_PATH datadir ${CMAKE_INSTALL_FULL_BINDIR} ${CMAKE_INSTALL_FULL_DATADIR}/connectagram)

	target_sources(connectagram PRIVATE icons/icon.qrc)

	install(TARGETS connectagram RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/connectagram/translations)
	install(FILES doc/connectagram.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(FILES icons/connectagram.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES icons/connectagram.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
endif()

set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS CONNECTAGRAM_DATADIR="${datadir}")

=== tools/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Program to generate wordlist
qt6_add_executable(wordlist wordlist.cpp)
target_link_libraries(wordlist PRIVATE Qt6::Core)

=== debian/changelog ===
connectagram (1.3.3-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Wed, 08 Feb 2023 09:35:22 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
   libqt6core6,
   mesa-common-dev,
   debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/connectagram/
 Vcs-Git: https://salsa.debian.org/games-team/connectagram.git

## connectagram 1.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(connectagram VERSION 1.3.3 LANGUAGES CXX)
+project(connectagram VERSION 1.3.4 LANGUAGES CXX)
 
 set(project_copyright "2009-2023 Graeme Gott")
 
@@ -22,7 +22,7 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060400>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060500>
 )
 
 # Version number

=== debian/changelog ===
connectagram (1.3.4-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Jun 2023 16:20:00 +0200

## connectagram 1.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(connectagram VERSION 1.3.4 LANGUAGES CXX)
+project(connectagram VERSION 1.3.5 LANGUAGES CXX)
 
-set(project_copyright "2009-2023 Graeme Gott")
+set(project_copyright "2009-2024 Graeme Gott")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,7 +22,7 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060500>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060600>
 )
 
 # Version number

=== debian/changelog ===
connectagram (1.3.5-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:41:01 +1100

connectagram (1.3.5-2) unstable; urgency=medium

  * Team Upload
  * do not add runtime dependencies as build-dependencies (Closes: #1067459)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Mar 2024 23:07:00 +0100

connectagram (1.3.5-1) unstable; urgency=medium

  * New upstream release
  * Accept commit for updating alioth mailing list address

 -- Jonathan Carter <jcc@debian.org>  Wed, 24 Jan 2024 14:22:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: connectagram
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
   cmake,
@@ -9,9 +10,6 @@
   qt6-l10n-tools,
   qt6-tools-dev-tools,
   qt6-base-dev-tools,
-  libqt6widgets6,
-  libqt6gui6,
-  libqt6core6,
   mesa-common-dev,
   debhelper-compat (= 13)
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-export QT_SELECT=5
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 CPPFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS   ?= $(shell dpkg-buildflags --get CFLAGS)

## connectagram 1.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2021-2025 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(connectagram VERSION 1.3.5 LANGUAGES CXX)
+project(connectagram VERSION 1.3.6 LANGUAGES CXX)
 
-set(project_copyright "2009-2024 Graeme Gott")
+set(project_copyright "2009-2025 Graeme Gott")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,25 +22,15 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060600>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060800>
 )
 
 # Version number
 include(cmake/AddVersionCompileDefinition.cmake)
 add_version_compile_definition(src/main.cpp VERSIONSTR)
 
-# Create translations
-file(GLOB translations_SRCS translations/*.ts)
-qt6_add_translation(translations_QM ${translations_SRCS})
-
-add_custom_target(update_translations
-	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
-	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-	VERBATIM
-)
-
 # Create program
-qt6_add_executable(connectagram
+qt_add_executable(connectagram
 	src/board.cpp
 	src/cell.cpp
 	src/clock.cpp
@@ -63,6 +53,14 @@
 	Qt6::Core
 	Qt6::Gui
 	Qt6::Widgets
+)
+
+# Create translations
+file(GLOB translations_SRCS translations/*.ts)
+qt_add_translations(connectagram
+	TS_FILES ${translations_SRCS}
+	QM_FILES_OUTPUT_VARIABLE translations_QM
+	LUPDATE_OPTIONS -no-obsolete -locations none
 )
 
 # Create word lists

=== debian/changelog ===
connectagram (1.3.6-1) unstable; urgency=medium

  * New upstream release
  * Clean up compiled word lists on dh_clean
    (Closes: #1044883)
  * Update standards version to 4.7.0

 -- Jonathan Carter <jcc@debian.org>  Thu, 09 Jan 2025 13:10:19 +0200

## connectagram 1.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(connectagram VERSION 1.3.6 LANGUAGES CXX)
+project(connectagram VERSION 1.3.8 LANGUAGES CXX)
 
 set(project_copyright "2009-2025 Graeme Gott")
 
@@ -31,6 +31,21 @@
 
 # Create program
 qt_add_executable(connectagram
+	# Headers
+	src/board.h
+	src/cell.h
+	src/clock.h
+	src/definitions.h
+	src/letter.h
+	src/locale_dialog.h
+	src/new_game_dialog.h
+	src/pattern.h
+	src/scores_dialog.h
+	src/view.h
+	src/window.h
+	src/word.h
+	src/wordlist.h
+	# Sources
 	src/board.cpp
 	src/cell.cpp
 	src/clock.cpp
@@ -45,6 +60,7 @@
 	src/window.cpp
 	src/word.cpp
 	src/wordlist.cpp
+	# Resources
 	icons/icons.qrc
 	${translations_QM}
 )
@@ -156,8 +172,9 @@
 	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/connectagram/translations)
 	install(FILES doc/connectagram.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
 	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-	install(FILES icons/connectagram.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
-	install(FILES icons/connectagram.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+
+	include(cmake/TranslateMetainfo.cmake)
+	process_and_install_metainfo(PO_DIR ${CMAKE_SOURCE_DIR}/icons/po)
 endif()
 
 set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS CONNECTAGRAM_DATADIR="${datadir}")

=== tools/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Program to generate wordlist
qt_add_executable(wordlist wordlist.cpp)
target_link_libraries(wordlist PRIVATE Qt6::Core)

=== debian/changelog ===
connectagram (1.3.8-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Feb 2025 12:28:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: connectagram
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
   cmake,
@@ -12,7 +11,7 @@
   qt6-base-dev-tools,
   mesa-common-dev,
   debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/connectagram/
 Vcs-Git: https://salsa.debian.org/games-team/connectagram.git

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,7 @@
 	CPPFLAGS="$(CPPFLAGS)" \
 	CFLAGS="$(CFLAGS)" \
 	LDFLAGS="$(LDFLAGS)"
+
+override_dh_clean:
+	dh_clean
+	rm -f gamedata/*/words

## connectagram 1.3.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-# SPDX-FileCopyrightText: 2021-2025 Graeme Gott <graeme@gottcode.org>
+# SPDX-FileCopyrightText: 2021 Graeme Gott <graeme@gottcode.org>
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.16)
 
 # Configure project
-project(connectagram VERSION 1.3.8 LANGUAGES CXX)
+project(connectagram VERSION 1.3.9 LANGUAGES CXX)
 
-set(project_copyright "2009-2025 Graeme Gott")
+set(project_copyright "2009-2026 Graeme Gott")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -22,7 +22,10 @@
 	QT_NO_KEYWORDS
 	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
 	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
-	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060800>
+	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x061000>
+)
+add_compile_options(
+	$<$<CONFIG:DEBUG>:-Wshadow>
 )
 
 # Version number

=== debian/changelog ===
connectagram (1.3.9-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 02 Mar 2026 18:03:36 +0200
